#version 300 es

precision lowp float;

in vec2 v_originTexCoord;
out vec4 fragColor;

uniform vec3 uParticleColor;
uniform sampler2D uMainTex;

void main() {
    fragColor = vec4(uParticleColor, 1.0) * texture(uMainTex, v_originTexCoord);
}